Duplicate purchase order line
/fscmRestApi/resources/11.13.18.05/draftPurchaseOrders/{draftPurchaseOrdersUniqID}/child/lines/{POLineId}/action/duplicate
Request
-
POLineId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
draftPurchaseOrdersUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Draft Purchase Orders resource and used to uniquely identify an instance of Draft Purchase Orders. The client should not generate the hash key value. Instead, the client should query on the Draft Purchase Orders collection resource in order to navigate to a specific instance of Draft Purchase Orders to get the hash key.
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
- application/vnd.oracle.adf.action+json
object-
initiatingParty: string
Name of the party who requested the duplicate custom action on the purchase order or change order line. Valid values are buyer and requester.
Response
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
object-
result(required): object
result
Additional Properties Allowed: additionalPropertiesIf the request is successful, this action returns a value of SUCCESS along with the unique identifier of the purchase order line. Otherwise, it returns an error message.
objectExamples
Line duplication examples for purchase orders and change orders.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/draftPurchaseOrders/draftPurchaseOrdersUniqID/child/lines/POLineId/action/duplicate "
For example:
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version//draftPurchaseOrders/draftPurchaseOrdersUniqID/child/lines/POLineId/action/duplicate"
Example1 describes how to duplicate a purchase order line on an incomplete purchase order. To duplicate change order line for a purchase order change order, specify an initiating party. Valid values for initiating party are requester and buyer. Initiating party isn’t required to duplicate line for an incomplete purchase order.
Example1 Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"name":"duplicate"
}
Example1 Response Body
The following example includes the contents of the response body in JSON format:
{
"result": {
"STATUS": "SUCCESS",
"POLineId": "666130"
}
}
Example2 describes how to duplicate line on a change order. To duplicate line for a purchase order change order, specify an initiating party. Valid values for initiating party are requester and buyer. Initiating party isn’t required to perform check funds for an incomplete purchase order.
Example2 Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"name":"duplicate",
"parameters": [
{
"initiatingParty": "Buyer"
}
]
}
Example2 Response Body
The following example includes the contents of the response body in JSON format:
{
"result": {
"STATUS": "SUCCESS",
"POLineId": "666130"
}
}